      function index3(a,b,n)
!
!-------------------------------------------------------------
! donne le resultat de index(a,b), mais pour la 
! nième occurence de b dans a
!-------------------------------------------------------------
!
      parameter(maxl=100000)
      character(maxl) aa
      character(*) a,b
      logical yw
      yw=.false.
      
      la=len_trim(a)
      lb=len_trim(b)
      if(la>maxl) stop 'index3'
      aa=' '
      aa(1:la)=a
      if(yw)print*,'a',trim(a)
      if(yw)print*,'aa',trim(aa)
      
      do k=1,n-1
         i=index(aa,b)
         aa(i:i+lb-1)=' '
      enddo
      index3=index(aa,b)
      return
      end


